NoopFactory (Axis API)
Keywords: org.apache.axis.wsdl.gen.NoopFactory class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.axis.wsdl.gen
Class NoopFactory

    java.lang.Object
      org.apache.axis.wsdl.gen.NoopFactory

All Implemented Interfaces:
  GeneratorFactory

public class NoopFactory
extends java.lang.Object
implements GeneratorFactory

This factory returns a bunch of NoopGenerators

Constructor Summary
`NoopFactory()`

Method Summary
`void` | `generatorPass(javax.wsdl.Definition def, SymbolTable symbolTable)` Method generatorPass
`BaseTypeMapping` | `getBaseTypeMapping()` Method getBaseTypeMapping
`Generator` | `getGenerator(javax.wsdl.Binding binding, SymbolTable symbolTable)` Method getGenerator
`Generator` | `getGenerator(javax.wsdl.Definition definition, SymbolTable symbolTable)` Method getGenerator
`Generator` | `getGenerator(javax.wsdl.Message message, SymbolTable symbolTable)` Method getGenerator
`Generator` | `getGenerator(javax.wsdl.PortType portType, SymbolTable symbolTable)` Method getGenerator
`Generator` | `getGenerator(javax.wsdl.Service service, SymbolTable symbolTable)` Method getGenerator
`Generator` | `getGenerator(TypeEntry type, SymbolTable symbolTable)` Method getGenerator
`void` | `setBaseTypeMapping(BaseTypeMapping btm)` Method setBaseTypeMapping

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### NoopFactory

    public NoopFactory()

Method Detail

### generatorPass

    public void generatorPass(javax.wsdl.Definition def,
                              SymbolTable symbolTable)

  Method generatorPass

  Specified by:
    `generatorPass` in interface `GeneratorFactory`
  Parameters:
    `def` -
    `symbolTable` -

### getGenerator

    public Generator getGenerator(javax.wsdl.Message message,
                                  SymbolTable symbolTable)

  Method getGenerator

  Specified by:
    `getGenerator` in interface `GeneratorFactory`
  Parameters:
    `message` -
    `symbolTable` -
  Returns:

### getGenerator

    public Generator getGenerator(javax.wsdl.PortType portType,
                                  SymbolTable symbolTable)

  Method getGenerator

  Specified by:
    `getGenerator` in interface `GeneratorFactory`
  Parameters:
    `portType` -
    `symbolTable` -
  Returns:

### getGenerator

    public Generator getGenerator(javax.wsdl.Binding binding,
                                  SymbolTable symbolTable)

  Method getGenerator

  Specified by:
    `getGenerator` in interface `GeneratorFactory`
  Parameters:
    `binding` -
    `symbolTable` -
  Returns:

### getGenerator

    public Generator getGenerator(javax.wsdl.Service service,
                                  SymbolTable symbolTable)

  Method getGenerator

  Specified by:
    `getGenerator` in interface `GeneratorFactory`
  Parameters:
    `service` -
    `symbolTable` -
  Returns:

### getGenerator

    public Generator getGenerator(TypeEntry type,
                                  SymbolTable symbolTable)

  Method getGenerator

  Specified by:
    `getGenerator` in interface `GeneratorFactory`
  Parameters:
    `type` -
    `symbolTable` -
  Returns:

### getGenerator

    public Generator getGenerator(javax.wsdl.Definition definition,
                                  SymbolTable symbolTable)

  Method getGenerator

  Specified by:
    `getGenerator` in interface `GeneratorFactory`
  Parameters:
    `definition` -
    `symbolTable` -
  Returns:

### setBaseTypeMapping

    public void setBaseTypeMapping(BaseTypeMapping btm)

  Method setBaseTypeMapping

  Specified by:
    `setBaseTypeMapping` in interface `GeneratorFactory`
  Parameters:
    `btm` -

### getBaseTypeMapping

    public BaseTypeMapping getBaseTypeMapping()

  Method getBaseTypeMapping

  Specified by:
    `getBaseTypeMapping` in interface `GeneratorFactory`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2005 Apache Web Services Project. All Rights Reserved.